summaryrefslogtreecommitdiff
path: root/regress/conch-ciphers.sh
diff options
context:
space:
mode:
authorDamien Miller <djm@mindrot.org>2008-06-30 08:07:56 +1000
committerDamien Miller <djm@mindrot.org>2008-06-30 08:07:56 +1000
commit4268a136d4da035a3d53dd6bc52ff1221240d9d8 (patch)
tree4eac7622b9b948e9cc7c5da7e363e2efdccce9bc /regress/conch-ciphers.sh
parentd9bfce83b73409f1e37cb051aaa28c307e0e28e1 (diff)
- djm@cvs.openbsd.org 2008/06/28 13:57:25
[regress/Makefile regress/test-exec.sh regress/conch-ciphers.sh] very basic regress test against Twisted Conch in "make interop" target (conch is available in ports/devel/py-twisted/conch); ok markus@
Diffstat (limited to 'regress/conch-ciphers.sh')
-rw-r--r--regress/conch-ciphers.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/regress/conch-ciphers.sh b/regress/conch-ciphers.sh
new file mode 100644
index 00000000..c371d303
--- /dev/null
+++ b/regress/conch-ciphers.sh
@@ -0,0 +1,30 @@
+# $OpenBSD: conch-ciphers.sh,v 1.1 2008/06/28 13:57:25 djm Exp $
+# Placed in the Public Domain.
+
+tid="conch ciphers"
+
+DATA=/bin/ls
+COPY=${OBJ}/copy
+
+set -e
+
+if test "x$REGRESS_INTEROP_CONCH" != "xyes" ; then
+ fatal "conch interop tests not enabled"
+fi
+
+start_sshd
+
+for c in aes256-ctr aes256-cbc aes192-ctr aes192-cbc aes128-ctr aes128-cbc \
+ cast128-cbc blowfish 3des-cbc ; do
+ verbose "$tid: cipher $c"
+ rm -f ${COPY}
+ ${CONCH} --identity $OBJ/rsa --port $PORT --user $USER \
+ --known-hosts $OBJ/known_hosts \
+ 127.0.0.1 cat ${DATA} > ${COPY} 2>/dev/null
+ if [ $? -ne 0 ]; then
+ fail "ssh cat $DATA failed"
+ fi
+ cmp ${DATA} ${COPY} || fail "corrupted copy"
+done
+rm -f ${COPY}
+